aio
Device proxies

The aio proxy provides an interface to the analog input/output sensors. More...

## Classes

struct | playerc_aio_t
| Aio proxy data. More...

## Functions

PLAYERC_EXPORT playerc_aio_t * | playerc_aio_create (playerc_client_t *client, int index)
| Create a aio proxy. More...
PLAYERC_EXPORT void | playerc_aio_destroy (playerc_aio_t *device)
| Destroy a aio proxy. More...
PLAYERC_EXPORT int | playerc_aio_subscribe (playerc_aio_t *device, int access)
| Subscribe to the aio device. More...
PLAYERC_EXPORT int | playerc_aio_unsubscribe (playerc_aio_t *device)
| Un-subscribe from the aio device. More...
PLAYERC_EXPORT int | playerc_aio_set_output (playerc_aio_t *device, uint8_t id, float volt)
| Set the output for the aio device. More...
PLAYERC_EXPORT float | playerc_aio_get_data (playerc_aio_t *device, uint32_t index)
| get the aio data

## Detailed Description

The aio proxy provides an interface to the analog input/output sensors.

## Function Documentation

PLAYERC_EXPORT playerc_aio_t* playerc_aio_create | ( | playerc_client_t * | client,
|  | int | index
| ) |  |

Create a aio proxy.

PLAYERC_EXPORT void playerc_aio_destroy | ( | playerc_aio_t * | device | ) |

Destroy a aio proxy.

PLAYERC_EXPORT int playerc_aio_set_output | ( | playerc_aio_t * | device,
|  | uint8_t | id,
|  | float | volt
| ) |  |

Set the output for the aio device.

PLAYERC_EXPORT int playerc_aio_subscribe | ( | playerc_aio_t * | device,
|  | int | access
| ) |  |

Subscribe to the aio device.

PLAYERC_EXPORT int playerc_aio_unsubscribe | ( | playerc_aio_t * | device | ) |

Un-subscribe from the aio device.

Last updated 12 September 2005 21:38:45